curl --request GET \
--url https://api.cartesia.ai/agents \
--header 'Authorization: Bearer <token>' \
--header 'Cartesia-Version: <cartesia-version>'{
"summaries": [
{
"id": "<string>",
"name": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"tts_voice": "<string>",
"tts_language": "<string>",
"has_text_to_agent_run": true,
"deployment_count": 123,
"description": "<string>",
"webhook_id": "<string>",
"deleted_at": "2023-11-07T05:31:56Z",
"git_repository": {
"provider": "<string>",
"account": "<string>",
"name": "<string>"
},
"git_deploy_branch": "<string>",
"phone_numbers": [
{
"id": "<string>",
"number": "<string>"
}
]
}
]
}Lists all agents associated with your account.
curl --request GET \
--url https://api.cartesia.ai/agents \
--header 'Authorization: Bearer <token>' \
--header 'Cartesia-Version: <cartesia-version>'{
"summaries": [
{
"id": "<string>",
"name": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"tts_voice": "<string>",
"tts_language": "<string>",
"has_text_to_agent_run": true,
"deployment_count": 123,
"description": "<string>",
"webhook_id": "<string>",
"deleted_at": "2023-11-07T05:31:56Z",
"git_repository": {
"provider": "<string>",
"account": "<string>",
"name": "<string>"
},
"git_deploy_branch": "<string>",
"phone_numbers": [
{
"id": "<string>",
"number": "<string>"
}
]
}
]
}Cartesia API key
API version header. Must be set to the API version, e.g. '2024-06-10'.
2024-06-10, 2024-11-13, 2025-04-16 "2025-04-16"
The summaries of the agents.
Show child attributes
The ID of the agent.
The unique name of the agent, which can be used to identify the agent in the CLI.
The date and time when the agent was created.
The date and time when the agent was last updated.
The text-to-speech voice used by the agent.
The language used for text-to-speech by the agent.
Whether the agent has a text-to-agent run.
The number of deployments associated with the agent.
A brief description of the agent.
The identifier for the webhook associated with the agent. Add or customize a webhook to your agent to receive events when calls are made to your agent via the Playground.
The date and time when the agent was deleted, if applicable.
The Git repository associated with the agent.
The branch of the Git repository used for deployment.